Show / Hide Table of Contents

# CancellationTokenEqualityComparer Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public class CancellationTokenEqualityComparer : IEqualityComparer<CancellationToken>

##### Inheritance

System.Object → CancellationTokenEqualityComparer

##### Implements

System.Collections.Generic.IEqualityComparer<System.Threading.CancellationToken>

### Members

#### Fields

Name | Description
--- | ---
Default |

#### Methods

Name | Description
--- | ---
Equals(CancellationToken, CancellationToken) |
GetHashCode(CancellationToken) |

### Fields

#### Default

    public static readonly IEqualityComparer<CancellationToken> Default

##### Field Value

System.Collections.Generic.IEqualityComparer<System.Threading.CancellationToken>

### Methods

#### Equals(CancellationToken, CancellationToken)

    public bool Equals(CancellationToken x, CancellationToken y)

##### Parameters

`x` System.Threading.CancellationToken
`y` System.Threading.CancellationToken

##### Returns

System.Boolean

#### GetHashCode(CancellationToken)

    public int GetHashCode(CancellationToken obj)

##### Parameters

`obj` System.Threading.CancellationToken

##### Returns

System.Int32

### Implements

System.Collections.Generic.IEqualityComparer<T>